unit uDefaultDialogExample;

{******************************************************************************
Initial Author   :    Scott Price
Initially Created:    2003-09-10
Language         :    Object Pascal
Compiler Version :    Delphi 3.02, 4.03, 5.01, 6.02 (UK)
Copyright        :     Information Technology Sector Limited, 1996-2002

Source Code Constraints:
========================
   Distribution, disclosure or modifications of this source code, outside of
   any licenced agreements with Information Technology Sector Limited, or
   removal of this notice constitutes a breach of any or all license agreements.

Operating Systems Tested On:
============================
   Microsoft Windows(R) 98, First Edition
   Microsoft Windows(R) 2000, Service Pack 2

Design Notes:
=============

VERSION  AUTHOR                DATE/TIME
===============================================================================
$history$
$nokeywords$
===============================================================================
NOTES:
 Very simple example of a pre-built unit example included in the JCL to
 demonstrate how to use the JclDebug information effectively.  The basic
 JCL example can be found in:

   examples\StackTrackExample.dpr
===============================================================================
TODO:
******************************************************************************}

{$IFDEF VER130}
  {$DEFINE DELPHI5}
{$ENDIF}


interface



uses
  { Borland Standard Units }
  Windows, Messages, SysUtils, {$IFNDEF DELPHI5} Variants, {$ENDIF}
  Classes, Graphics, Controls, Forms, Dialogs, StdCtrls;


type
  { TfmDefaultGUIExample }

  TfmDefaultGUIExample = class(TForm)
    btnMakeException: TButton;
    btnTryExcept: TButton;
    procedure btnMakeExceptionClick(Sender: TObject);
    procedure btnTryExceptClick(Sender: TObject);
  private
    { Private declarations }
    FList: TList;
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
  end;


var
  fmDefaultGUIExample: TfmDefaultGUIExample;


implementation



{$R *.dfm}


uses
  { Jedi Altered Units }
  uExceptDlg;  { ExceptDlg is the original Jedi Example Exception Dialog }


  { TfmDefaultGUIExample }

constructor TfmDefaultGUIExample.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);

  FList := Nil;
end;

procedure TfmDefaultGUIExample.btnMakeExceptionClick(Sender: TObject);
begin
  FList.Add(Self);
end;

procedure TfmDefaultGUIExample.btnTryExceptClick(Sender: TObject);
begin
  TRY
    FList.Add(Self);
  EXCEPT
    Self.Caption := 'Try..Except Handled';
  END;
end;

end.
